Package com.omnisci.thrift.server

## Class TColumnData

- java.lang.Object
- - com.omnisci.thrift.server.TColumnData

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TColumnData>`, `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`, `org.apache.thrift.TSerializable`

    public class TColumnData
    extends Object
    implements org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>, Serializable, Cloneable, Comparable<TColumnData>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TColumnData._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TColumn>` `arr_col`
`List<Long>` `int_col`
`static Map<TColumnData._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<Double>` `real_col`
`List<String>` `str_col`

### Constructor Summary

Constructors
`TColumnData()`
`TColumnData​(TColumnData other)` Performs a deep copy on other.
`TColumnData​(List<Long> int_col, List<Double> real_col, List<String> str_col, List<TColumn> arr_col)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToArr_col​(TColumn elem)`
`void` `addToInt_col​(long elem)`
`void` `addToReal_col​(double elem)`
`void` `addToStr_col​(String elem)`
`void` `clear()`
`int` `compareTo​(TColumnData other)`
`TColumnData` `deepCopy()`
`boolean` `equals​(TColumnData that)`
`boolean` `equals​(Object that)`
`TColumnData._Fields` `fieldForId​(int fieldId)`
`List<TColumn>` `getArr_col()`
`Iterator<TColumn>` `getArr_colIterator()`
`int` `getArr_colSize()`
`Object` `getFieldValue​(TColumnData._Fields field)`
`List<Long>` `getInt_col()`
`Iterator<Long>` `getInt_colIterator()`
`int` `getInt_colSize()`
`List<Double>` `getReal_col()`
`Iterator<Double>` `getReal_colIterator()`
`int` `getReal_colSize()`
`List<String>` `getStr_col()`
`Iterator<String>` `getStr_colIterator()`
`int` `getStr_colSize()`
`int` `hashCode()`
`boolean` `isSet​(TColumnData._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArr_col()` Returns true if field arr_col is set (has been assigned a value) and false otherwise
`boolean` `isSetInt_col()` Returns true if field int_col is set (has been assigned a value) and false otherwise
`boolean` `isSetReal_col()` Returns true if field real_col is set (has been assigned a value) and false otherwise
`boolean` `isSetStr_col()` Returns true if field str_col is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TColumnData` `setArr_col​(List<TColumn> arr_col)`
`void` `setArr_colIsSet​(boolean value)`
`void` `setFieldValue​(TColumnData._Fields field, Object value)`
`TColumnData` `setInt_col​(List<Long> int_col)`
`void` `setInt_colIsSet​(boolean value)`
`TColumnData` `setReal_col​(List<Double> real_col)`
`void` `setReal_colIsSet​(boolean value)`
`TColumnData` `setStr_col​(List<String> str_col)`
`void` `setStr_colIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArr_col()`
`void` `unsetInt_col()`
`void` `unsetReal_col()`
`void` `unsetStr_col()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### int_col

    public List<Long> int_col

#### real_col

    public List<Double> real_col

#### str_col

    public List<String> str_col

#### arr_col

    public List<TColumn> arr_col

#### metaDataMap

    public static final Map<TColumnData._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TColumnData

    public TColumnData()

#### TColumnData

    public TColumnData​(List<Long> int_col,
                       List<Double> real_col,
                       List<String> str_col,
                       List<TColumn> arr_col)

#### TColumnData

    public TColumnData​(TColumnData other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TColumnData deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`

#### getInt_colSize

    public int getInt_colSize()

#### getInt_colIterator

    public Iterator<Long> getInt_colIterator()

#### addToInt_col

    public void addToInt_col​(long elem)

#### getInt_col

    public List<Long> getInt_col()

#### setInt_col

    public TColumnData setInt_col​(List<Long> int_col)

#### unsetInt_col

    public void unsetInt_col()

#### isSetInt_col

    public boolean isSetInt_col()

Returns true if field int_col is set (has been assigned a value) and false otherwise

#### setInt_colIsSet

    public void setInt_colIsSet​(boolean value)

#### getReal_colSize

    public int getReal_colSize()

#### getReal_colIterator

    public Iterator<Double> getReal_colIterator()

#### addToReal_col

    public void addToReal_col​(double elem)

#### getReal_col

    public List<Double> getReal_col()

#### setReal_col

    public TColumnData setReal_col​(List<Double> real_col)

#### unsetReal_col

    public void unsetReal_col()

#### isSetReal_col

    public boolean isSetReal_col()

Returns true if field real_col is set (has been assigned a value) and false otherwise

#### setReal_colIsSet

    public void setReal_colIsSet​(boolean value)

#### getStr_colSize

    public int getStr_colSize()

#### getStr_colIterator

    public Iterator<String> getStr_colIterator()

#### addToStr_col

    public void addToStr_col​(String elem)

#### getStr_col

    public List<String> getStr_col()

#### setStr_col

    public TColumnData setStr_col​(List<String> str_col)

#### unsetStr_col

    public void unsetStr_col()

#### isSetStr_col

    public boolean isSetStr_col()

Returns true if field str_col is set (has been assigned a value) and false otherwise

#### setStr_colIsSet

    public void setStr_colIsSet​(boolean value)

#### getArr_colSize

    public int getArr_colSize()

#### getArr_colIterator

    public Iterator<TColumn> getArr_colIterator()

#### addToArr_col

    public void addToArr_col​(TColumn elem)

#### getArr_col

    public List<TColumn> getArr_col()

#### setArr_col

    public TColumnData setArr_col​(List<TColumn> arr_col)

#### unsetArr_col

    public void unsetArr_col()

#### isSetArr_col

    public boolean isSetArr_col()

Returns true if field arr_col is set (has been assigned a value) and false otherwise

#### setArr_colIsSet

    public void setArr_colIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TColumnData._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`

#### getFieldValue

    public Object getFieldValue​(TColumnData._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`

#### isSet

    public boolean isSet​(TColumnData._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TColumnData that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TColumnData other)

Specified by:
  `compareTo` in interface `Comparable<TColumnData>`

#### fieldForId

    public TColumnData._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TColumnData,​TColumnData._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`